[arch-commits] Commit in erlang/repos (3 files)

Juergen Hoetzel juergen at archlinux.org
Wed Oct 29 10:32:07 EDT 2008


    Date: Wednesday, October 29, 2008 @ 10:32:06
  Author: juergen
Revision: 17426

Merged revisions 17420 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/erlang/trunk

........
  r17420 | juergen | 2008-10-29 12:38:58 +0100 (Mi, 29 Okt 2008) | 1 line
  
  upgpkg: erlang R12B.4-1
........

Modified:
  erlang/repos/extra-i686/	(properties)
  erlang/repos/extra-i686/PKGBUILD
  erlang/repos/extra-i686/erlang-12.2.3-glibc28.patch

-----------------------------+
 PKGBUILD                    |   12 ++++++------
 erlang-12.2.3-glibc28.patch |   14 ++++++++------
 2 files changed, 14 insertions(+), 12 deletions(-)


Property changes on: erlang/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /erlang/trunk:1-9162
   + /erlang/trunk:1-17425

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-29 13:33:45 UTC (rev 17425)
+++ extra-i686/PKGBUILD	2008-10-29 14:32:06 UTC (rev 17426)
@@ -3,8 +3,8 @@
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 
 pkgname=erlang
-pkgver=R12B.3
-pkgrel=2
+pkgver=R12B.4
+pkgrel=1
 pkgdesc="A small concurrent functional programming language developed by Ericsson."
 arch=(i686 x86_64)
 options=('!makeflags')
@@ -14,15 +14,15 @@
 source=(http://www.erlang.org/download/otp_src_${pkgver/./-}.tar.gz
 	http://www.erlang.org/download/otp_doc_man_${pkgver/./-}.tar.gz
 	erlang-12.2.3-glibc28.patch)
-md5sums=('c2e7f0ad54b8fadebde2d94106608d97' '13098954c9d5804bb8394fe7badb3d0d'\
-         '37f0c2c61eb3774629aaa0010b11da53')
+md5sums=('ae81edda4a17506af7a9d73abca033b2' 'ef8f96d1721a2345cc87b208cde3de06'\
+         '7167887f35f96fd6f8d4a96bde852329')
 
 url="http://www.erlang.org/index.html"
 
 build() {
-  ERTSVERSION=5.6.3
+  ERTSVERSION=5.6.${pkgver#*.}
   cd $startdir/src/otp_src_${pkgver/./-}
-  patch -p0 -i $startdir/src/erlang-12.2.3-glibc28.patch || return 1 
+  # patch -p1 -i $startdir/src/erlang-12.2.3-glibc28.patch || return 1 
   # fix #7633 - shouldn't hurt i686
   sed -i '/SSL_DYNAMIC_ONLY=/s:no:yes:' erts/configure || return 1
 

Modified: extra-i686/erlang-12.2.3-glibc28.patch
===================================================================
--- extra-i686/erlang-12.2.3-glibc28.patch	2008-10-29 13:33:45 UTC (rev 17425)
+++ extra-i686/erlang-12.2.3-glibc28.patch	2008-10-29 14:32:06 UTC (rev 17426)
@@ -1,11 +1,13 @@
---- erts/emulator/hipe/hipe_x86_signal.c	2008-06-12 14:17:48.831373565 +0200
-+++ erts/emulator/hipe/hipe_x86_signal_ok.c	2008-06-12 14:43:05.132064804 +0200
-@@ -34,7 +34,7 @@
+diff -ur otp_src_R12B-4.orig/erts/emulator/hipe/hipe_x86_signal.c otp_src_R12B-4/erts/emulator/hipe/hipe_x86_signal.c
+--- otp_src_R12B-4.orig/erts/emulator/hipe/hipe_x86_signal.c	2008-09-01 14:51:25.000000000 +0200
++++ otp_src_R12B-4/erts/emulator/hipe/hipe_x86_signal.c	2008-10-29 09:42:04.000000000 +0100
+@@ -33,8 +33,7 @@
+ #include "erl_alloc.h"
  #endif
  #include "hipe_signal.h"
- 
--#if __GLIBC__ == 2 && (__GLIBC_MINOR__ >= 3 && __GLIBC_MINOR__ <= 7)
-+#if __GLIBC__ == 2 && __GLIBC_MINOR__ >= 3
+-
+-#if __GLIBC__ == 2 && (__GLIBC_MINOR__ >= 3)
++#if __GLIBC__ == 2 && (__GLIBC_MINOR__ >= 3 && __GLIBC_MINOR__ <= 7)
  /* See comment below for glibc 2.2. */
  #ifndef __USE_GNU
  #define __USE_GNU		/* to un-hide RTLD_NEXT */




More information about the arch-commits mailing list